transformer-build-docker-image:
  stage: build-dependency
  extends:
    - .build-docker-image
  script:
    - cd pkgs/transformer && make transformer-build
  rules:
    - if: '$CI_PIPELINE_SOURCE == "merge_request_event"'
      changes:
        - pkgs/transformer/Dockerfile
        - pkgs/transformer/files/*
      when: always
    - if: '$CI_COMMIT_BRANCH == "master" || $CI_COMMIT_BRANCH == "develop" || $CI_COMMIT_REF_NAME == "master" || $CI_COMMIT_REF_NAME == "develop"'
      when: never
  tags:
    - eks-cluster